For the complete documentation index, see llms.txt. This page is also available as Markdown.

Forms

Buscar Formulário por ID

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório

ID do formulario

Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
titlestringOpcional
activebooleanOpcional
typestringOpcional
keystringOpcional
updated_atstring · date-timeOpcional
get/forms/{formId}
GET /api/b2b/forms/{formId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "title": "text",
  "active": true,
  "type": "text",
  "key": "text",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Atualizar Formulário

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório

ID do formulario

Corpo
titlestringObrigatório
namestringObrigatório
activebooleanOpcional
typestring · enumObrigatórioValores possíveis:
keystringOpcional
Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
titlestringOpcional
activebooleanOpcional
typestringOpcional
keystringOpcional
updated_atstring · date-timeOpcional
put/forms/{formId}
PUT /api/b2b/forms/{formId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 100

{
  "title": "text",
  "name": "text",
  "active": true,
  "type": "ACTION_DASHBOARD_REPORT_PARAMETER",
  "key": "text"
}
{
  "id": "text",
  "name": "text",
  "title": "text",
  "active": true,
  "type": "text",
  "key": "text",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Excluir Formulário

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório

ID do formulario

Respostas
204

Form deleted successfully

Sem conteúdo

delete/forms/{formId}
DELETE /api/b2b/forms/{formId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Sem conteúdo

Atualizar Parcialmente Formulário

patch
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório

ID do formulario

Corpo
titlestringObrigatório
namestringObrigatório
activebooleanOpcional
typestring · enumObrigatórioValores possíveis:
keystringOpcional
Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
titlestringOpcional
activebooleanOpcional
typestringOpcional
keystringOpcional
updated_atstring · date-timeOpcional
patch/forms/{formId}
PATCH /api/b2b/forms/{formId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 100

{
  "title": "text",
  "name": "text",
  "active": true,
  "type": "ACTION_DASHBOARD_REPORT_PARAMETER",
  "key": "text"
}
{
  "id": "text",
  "name": "text",
  "title": "text",
  "active": true,
  "type": "text",
  "key": "text",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Listar Formulários

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
searchstringOpcionalDefault: ""
pageinteger · int32OpcionalDefault: 0
perPageinteger · int32OpcionalDefault: 25
sortstringOpcionalDefault: title
dirstringOpcionalDefault: asc
typestring · enumOpcional

Tipo de Formulário

Valores possíveis:
Respostas
200

Forms listed

application/json
currentPageinteger · int32Opcional
perPageinteger · int32Opcional
totalinteger · int64Opcional
get/forms
GET /api/b2b/forms HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "currentPage": 1,
  "perPage": 1,
  "total": 1,
  "items": [
    {
      "id": "text",
      "name": "text",
      "title": "text",
      "active": true,
      "type": "text"
    }
  ]
}

Criar Formulário

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
namestringOpcional
titlestringOpcional
activebooleanOpcional
typestring · enumObrigatórioValores possíveis:
Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
titlestringOpcional
activebooleanOpcional
typestringOpcional
keystringOpcional
updated_atstring · date-timeOpcional
post/forms
POST /api/b2b/forms HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 87

{
  "name": "text",
  "title": "text",
  "active": true,
  "type": "ACTION_DASHBOARD_REPORT_PARAMETER"
}
{
  "id": "text",
  "name": "text",
  "title": "text",
  "active": true,
  "type": "text",
  "key": "text",
  "updated_at": "2026-01-01T00:00:00.000Z"
}